Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractSelectManyComponent

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.AbstractSelectManyComponent

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  AbstractOrderingComponent

    public abstract class AbstractSelectManyComponent

extends javax.faces.component.UISelectMany

Author:
  Brian Leathem

Field Summary

Fields inherited from class javax.faces.component.UISelectMany
`COMPONENT_FAMILY, COMPONENT_TYPE, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractSelectManyComponent()`

Method Summary
`java.util.Iterator<javax.faces.component.UIColumn>` | `columns()`
`abstract java.lang.String` | `getActiveClass()`
`abstract java.lang.String` | `getChangedClass()`
`abstract java.lang.String` | `getColumnClasses()`
`abstract java.lang.String` | `getDisabledClass()`
`abstract java.lang.String` | `getHeaderClass()`
`abstract java.lang.String` | `getItemClass()`
`abstract java.lang.String` | `getListHeight()`
`abstract java.lang.String` | `getListWidth()`
`abstract java.lang.String` | `getMaxListHeight()`
`abstract java.lang.String` | `getMinListHeight()`
`abstract java.lang.String` | `getOnblur()`
`abstract java.lang.String` | `getOnchange()`
`abstract java.lang.String` | `getOnclick()`
`abstract java.lang.String` | `getOndblclick()`
`abstract java.lang.String` | `getOnfocus()`
`abstract java.lang.String` | `getOnkeydown()`
`abstract java.lang.String` | `getOnkeypress()`
`abstract java.lang.String` | `getOnkeyup()`
`abstract java.lang.String` | `getOnmousedown()`
`abstract java.lang.String` | `getOnmousemove()`
`abstract java.lang.String` | `getOnmouseout()`
`abstract java.lang.String` | `getOnmouseover()`
`abstract java.lang.String` | `getOnmouseup()`
`abstract java.lang.String` | `getSelectItemClass()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getVar()`
`abstract boolean` | `isDisabled()`
`protected void` | `validateValue(javax.faces.context.FacesContext facesContext, java.lang.Object value)` Override the validateValue of SelectMany in cases where the component implements SelectItemsInterface

Methods inherited from class javax.faces.component.UISelectMany
`compareValues, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Constructor Detail

### AbstractSelectManyComponent

    public AbstractSelectManyComponent()

Method Detail

### columns

    public java.util.Iterator<javax.faces.component.UIColumn> columns()

### getVar

    public abstract java.lang.String getVar()

### getListWidth

    public abstract java.lang.String getListWidth()

### getListHeight

    public abstract java.lang.String getListHeight()

### getMinListHeight

    public abstract java.lang.String getMinListHeight()

### getMaxListHeight

    public abstract java.lang.String getMaxListHeight()

### getStyle

    public abstract java.lang.String getStyle()

### getActiveClass

    public abstract java.lang.String getActiveClass()

### getChangedClass

    public abstract java.lang.String getChangedClass()

### getStyleClass

    public abstract java.lang.String getStyleClass()

### getItemClass

    public abstract java.lang.String getItemClass()

### getSelectItemClass

    public abstract java.lang.String getSelectItemClass()

### getDisabledClass

    public abstract java.lang.String getDisabledClass()

### isDisabled

    public abstract boolean isDisabled()

### getColumnClasses

    public abstract java.lang.String getColumnClasses()

### getHeaderClass

    public abstract java.lang.String getHeaderClass()

### getOnblur

    public abstract java.lang.String getOnblur()

### getOnclick

    public abstract java.lang.String getOnclick()

### getOnchange

    public abstract java.lang.String getOnchange()

### getOndblclick

    public abstract java.lang.String getOndblclick()

### getOnfocus

    public abstract java.lang.String getOnfocus()

### getOnkeydown

    public abstract java.lang.String getOnkeydown()

### getOnkeypress

    public abstract java.lang.String getOnkeypress()

### getOnkeyup

    public abstract java.lang.String getOnkeyup()

### getOnmousedown

    public abstract java.lang.String getOnmousedown()

### getOnmousemove

    public abstract java.lang.String getOnmousemove()

### getOnmouseout

    public abstract java.lang.String getOnmouseout()

### getOnmouseover

    public abstract java.lang.String getOnmouseover()

### getOnmouseup

    public abstract java.lang.String getOnmouseup()

### validateValue

    protected void validateValue(javax.faces.context.FacesContext facesContext,
                                 java.lang.Object value)

  Override the validateValue of SelectMany in cases where the component implements SelectItemsInterface

  Overrides:
    `validateValue` in class `javax.faces.component.UISelectMany`
  Parameters:
    `facesContext` -
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.